- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
WPSSubDocument Class Referenceabstract

Basic class used to store a sub document. More...

`#include <WPSSubDocument.h>`

Inheritance diagram for WPSSubDocument:

## Public Member Functions
| WPSSubDocument (WPXInputStreamPtr &input, WPSParser *parser, int id=0)
| constructor More...
virtual | ~WPSSubDocument ()
| destructor More...
WPXInputStreamPtr & | getInput ()
| returns the input More...
WPSParser * | parser () const
| returns the parser More...
int | id () const
| get the identificator More...
void | setId (int i)
| set the identificator More...
virtual bool | operator== (shared_ptr< WPSSubDocument > const &doc) const
| an operator = More...
bool | operator!= (shared_ptr< WPSSubDocument > const &doc) const
virtual void | parse (shared_ptr< WPSContentListener > &listener, libwps::SubDocumentType subDocumentType)=0
| virtual parse function More...

## Protected Attributes
WPXInputStreamPtr | m_input
WPSParser * | m_parser
int | m_id

## Private Member Functions
| WPSSubDocument (const WPSSubDocument &)
WPSSubDocument & | operator= (const WPSSubDocument &)

## Detailed Description

Basic class used to store a sub document.

## Constructor & Destructor Documentation

WPSSubDocument::WPSSubDocument | ( | WPXInputStreamPtr & | input,
|  | WPSParser * | parser,
|  | int | id = `0`
| ) |  |

constructor

WPSSubDocument::~WPSSubDocument | ( |  | ) |
| virtual

destructor

WPSSubDocument::WPSSubDocument | ( | const WPSSubDocument & |  | ) |
| private

## Member Function Documentation

WPXInputStreamPtr& WPSSubDocument::getInput | ( |  | ) |
| inline

returns the input

int WPSSubDocument::id | ( |  | ) | const
| inline

get the identificator

bool WPSSubDocument::operator!= | ( | shared_ptr< WPSSubDocument > const & | doc | ) | const
| inline

WPSSubDocument& WPSSubDocument::operator= | ( | const WPSSubDocument & |  | ) |
| private

bool WPSSubDocument::operator== | ( | shared_ptr< WPSSubDocument > const & | doc | ) | const
| virtual

an operator =

Reimplemented in WPS8TextInternal::SubDocument, WPS8ParserInternal::SubDocument, and WPS4ParserInternal::SubDocument.

Referenced by operator!=().

virtual void WPSSubDocument::parse | ( | shared_ptr< WPSContentListener > & | listener,
|  | libwps::SubDocumentType | subDocumentType
| ) |  |
| pure virtual

virtual parse function

this function is called to parse the subdocument

Implemented in WPS8TextInternal::SubDocument, WPS8ParserInternal::SubDocument, and WPS4ParserInternal::SubDocument.

WPSParser* WPSSubDocument::parser | ( |  | ) | const
| inline

returns the parser

void WPSSubDocument::setId | ( | int | i | ) |
| inline

set the identificator

## Member Data Documentation

int WPSSubDocument::m_id
| protected

Referenced by id(), operator==(), and setId().

WPXInputStreamPtr WPSSubDocument::m_input
| protected

Referenced by getInput(), operator==(), and WPS8TextInternal::SubDocument::parse().

WPSParser* WPSSubDocument::m_parser
| protected

Referenced by operator==(), WPS4ParserInternal::SubDocument::parse(), WPS8ParserInternal::SubDocument::parse(), and parser().

The documentation for this class was generated from the following files:

- WPSSubDocument.h
- WPSSubDocument.cpp